<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fuyuanshen.system.mapper.SysOssMapper">

    <select id="selectByHash" resultType="com.fuyuanshen.system.domain.vo.SysOssVo">
        select oss_id,file_name,original_name,file_suffix,url,service,file_hash from sys_oss WHERE file_hash = #{fileHash} LIMIT 1
    </select>

    <update id="updateHashById">
        UPDATE sys_oss SET file_hash = #{fileHash} WHERE oss_id = #{ossId}
    </update>
</mapper>
